#!/bin/sh

if [ -z $1 ]
then
	echo "Domain is not given as the only argument to this script"
	exit 1
fi
domain=$1

echo "Certbot pre hook"
/etc/letsencrypt/renewal-hooks/pre/1.sh

echo "Getting certificate for $domain"
certbot certonly --non-interactive --agree-tos -m info@3nsoft.com --webroot -w /var/www/acme -d $domain

if [ $? -eq 0 ]
then
	echo "Deploying certificate for $domain"
	export RENEWED_DOMAINS=$domain
	export RENEWED_LINEAGE=/etc/letsencrypt/live/$domain
	/etc/letsencrypt/renewal-hooks/deploy/1.sh
else
	echo "Failed to get certificate for $domain"
fi

echo "Certbot post hook"
/etc/letsencrypt/renewal-hooks/post/1.sh